
$(document).ready(function() {
    // Amosamos o formulario só cando Javascript estea activado.
    $('form').show();
    
    // Evitamos que o formulario se poida enviar ao premer Intro.
    $('form').submit(function(event) {
        event.preventDefault();
    });
    
    // Poñemos o foco na caixa de busca para facilitarlle a vida ao usuario.
    $('#caixabusca').focus();
    
    // Ocultamos todas as entradas.
    $('body > div').hide();
    
    // Amosamos a ligazón "amosar todo" só se JavaScript está activado.
    $('#mostrartodo').text('Listar todas as entradas do glosario');
    
    // Amosamos todas as entradas cando se preme na ligazón.
    $('#mostrartodo').click(function() {
        // Amosamos todas as entradas e gardamos o seu número.
        var num_results = $('body > div').show().length;
        
        // Amosamos o número de resultados. Como se mostran todas as entradas
        // non é necesario comprobar se hai que poñer en plural ou en singular.
        $('#numresults').text(num_results + " resultados.");
        
        // Poñemos o foco na caixa de busca para facilitarlle a vida ao usuario.
        $('#caixabusca').focus();
        
        // Devolvemos false para que non se visite a ligazón.
        return false;
    });
    
    $('#caixabusca').keyup(function(event) {
        // Ocultamos todas as entradas
        $('body > div').hide();
        
        // En caso de que o campo de busca estea baleiro.
        if (!this.value) {
            // O número de resultados non ten texto.
            $('#numresults').text("");
        }
        else {
            // Recuperamos o texto que hai no campo de busca.
            var texto = this.value;//TODO converter todo a minúsculas ou usar case insensitive?
            
            // Amosamos as entradas que teñan un termo en inglés que coincida 
            // parcialmente co escrito na caixa de busca, e gardamos o número de
            // resultados.
            var num_results = $('div.en > p:not(.definicion)')
                .filter(':contains(' + texto + ')')
                .parent().parent().show().length;//TODO converter todo a minúsculas ou usar case insensitive?
            // Agora facemos o mesmo para as entradas do antigo glosario de Trasno
            num_results += $('div.entrasno > p:not(.definicion):not(.ambito)')
                .filter(':contains(' + texto + ')')
                .parent().parent().show().length;//TODO converter todo a minúsculas ou usar case insensitive?
            
            // Amosamos o número de resultados, en singular ou en plural, 
            // dependendo do número de resultados.
            if (num_results == 1) {
                $('#numresults').text(num_results + " resultado.");
            }
            else {
                $('#numresults').text(num_results + " resultados.");
            };
        };
    });
});

